# dot

This repo tracks user and system configuration files, installed packages
and initial command history for setting-up a desktop environment running Debian
testing/unstable with `sway`, `foot`, `fuzzel` and `neovim`.

## bootstrap the dotfiles

```
sudo apt install git
git init -b main
git remote add origin gitea@git.kompot.si:urosm/dot.git
git pull origin main
```

## setup urosm@milano

```sh
# disable the annoying `.sudo_as_admin_successful` file
sudo cp -ri .config/sudoers.d /etc/
# update to debian testing
sudo cp -ri .config/apt /etc/
sudo apt update
sudo apt full-upgrade
# reconfigure locales
sudo dpkg-reconfigure locales
# configure and start firewall
sudo cp -ri .config/nftables.conf /etc/
systemctl enable --now nftables.service
# configure and install networking
sudo cp -ir .config/network /etc/
sudo apt install network-manager
# install utils
sudo apt install udisks2
sudo apt install jq
# install desktop packages
sudo apt install sway
sudo apt install swayidle swaylock
sudo apt install brightnessctl wlsunset
sudo apt install grim
sudo apt install mako-notifier libnotify-bin
sudo apt install fonts-agave
# install neovim
sudo apt install neovim wl-clipboard
# install and configure audio packages
sudo apt install pipewire-audio
systemctl --user enable --now wireplumber.service
# install writing packages
sudo apt install make
sudo apt install pandoc
sudo apt install texlive-latex-extra
sudo apt install texlive-lang-european
# install web packages
sudo apt install firefox
sudo apt install thunderbird
# install media packages
sudo apt install mpv
sudo apt install zathura
sudo apt install inkscape
# install office packages
sudo apt install libreoffice libreoffice-gtk3
sudo apt install libreoffice-l10n-sl
# install printing and scanning packages
sudo apt install cups printer-driver-all
sudo adduser urosm lpadmin
sudo apt install simple-scan
# install pdf processing packages
sudo apt install qpdf ocrmypdf
# install rdp packages
sudo apt install remmina
```
